"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const path_1 = require("path");
const ts = require("typescript");
const TJS = require("typescript-json-schema");
function generateSchema(fileNames, meta, baseDir) {
    const settings = { required: true };
    const compilerOptions = { module: ts.ModuleKind.ES2015 };
    const res = f => {
        return path_1.resolve(f);
    };
    const program = TJS.getProgramFromFiles(fileNames.map(res), compilerOptions, baseDir);
    const generator = TJS.buildGenerator(program, settings);
    return meta.map(m => {
        return Object.assign({}, m, { schema: generator.getSchemaForSymbol(m.name) });
    });
}
exports.generateSchema = generateSchema;
//# sourceMappingURL=generate-schema.js.map